using System.Web.Mvc;
using BigCompany.Web.App_Start;
using BigCompany.Web.DependencyResolution;
using WebActivator;

[assembly: PreApplicationStartMethod(typeof (StructuremapMvc), "Start")]

namespace BigCompany.Web.App_Start
{
	public static class StructuremapMvc
	{
		public static void Start()
		{
			var container = IoC.Initialize();
			DependencyResolver.SetResolver(new StructureMapDependencyResolver(container));
		}
	}
}